Run history
curl --request GET \
--url https://www.dench.com/api/v1/routines/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/routines/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/routines/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"entries": [
{
"ts": 1765526400000,
"jobId": "trg_cron001",
"action": "finished",
"status": "ok",
"summary": "Summarized 3 open tasks.",
"sessionId": "th_abc123",
"runAtMs": 1765526350000,
"durationMs": 45000,
"nextRunAtMs": 1765612800000
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}routines
Run history
List routine run history.
GET
/
routines
/
history
Run history
curl --request GET \
--url https://www.dench.com/api/v1/routines/history \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/routines/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/routines/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"entries": [
{
"ts": 1765526400000,
"jobId": "trg_cron001",
"action": "finished",
"status": "ok",
"summary": "Summarized 3 open tasks.",
"sessionId": "th_abc123",
"runAtMs": 1765526350000,
"durationMs": 45000,
"nextRunAtMs": 1765612800000
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Query Parameters
Required range:
1 <= x <= 200Response
Successful response
Show child attributes
Show child attributes
⌘I